/******************************************************************************
*Copyright (C) 2003 Freescale Semiconductor, Inc.
*All Rights Reserved
*
* Filename:		DEMO9S08QD4.h
* Author:		r1aald
* Revision:		1.0a
*
* Description:	9S08QD4 Demo Board Header File
* Notes:		Used in Projects QD4_Test.mcp, DEMO9S08QD4_APP.mcp 
*******************************************************************************/

/* include peripheral declarations */

/* define value for LED's when on and off */
#define ON 0
#define OFF 1
/* define value for switches when up (not pressed) and down (pressed) */
#define UP 1
#define DOWN 0

/* define LED's */
#define LED1 PTAD_PTAD4
#define LED1_DDR  PTADD_PTADD4
#define LED1_MASK PTAD_PTAD4_MASK

/* define SW's */
#define SW1 PTAD_PTAD2
#define SW1_DDR PTADD_PTADD2
#define SW1_MASK PTAD_PTAD2_MASK
#define SW2 PTAD_PTAD3
#define SW2_DDR PTADD_PTADD3
#define SW2_MASK PTAD_PTAD3_MASK

/* define ATD Inputs */
#define POT APCTL1_ADPC0
#define POT_MASK APCTL1_ADPC0_MASK
#define PHOTO APCTL1_ADPC1
#define PHOTO_MASK APCTL1_ADPC1_MASK

